"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.googleCallback = void 0;
const http_1 = require("../../constants/http");
const logger_1 = require("../../utils/logger");
const jwt_1 = require("../../utils/jwt");
/**
 * googleCallback
 * GET
 */
const googleCallback = async (req, res) => {
    try {
        if (!req.user)
            throw new Error("User not found");
        // TODO: Revalidate before returning token
        const token = (0, jwt_1.generateJwt)(req.user);
        return res.status(http_1.HTTP_SUCCESS.OK).json({ token });
    }
    catch (error) {
        logger_1.logger.error(error);
        return res.status(http_1.HTTP_CLIENT_ERROR.FORBIDDEN).send("Error logging in");
    }
};
exports.googleCallback = googleCallback;
