"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.authenticateToken = void 0;
const jsonwebtoken_1 = __importDefault(require("jsonwebtoken"));
const dotenv_1 = __importDefault(require("dotenv"));
const http_1 = require("../constants/http");
dotenv_1.default.config();
const authenticateToken = (req, res, next) => {
    const authHeader = req.headers["authorization"];
    const token = authHeader && authHeader.split(" ")[1]; // Bearer[ ]TOKEN...
    const secret = process.env.JWT_TOKEN_SECRET;
    if (token == null) {
        return res.sendStatus(http_1.HTTP_CLIENT_ERROR.UNAUTHORIZED);
    }
    if (secret == null) {
        return res.sendStatus(http_1.HTTP_SERVER_ERROR.INTERNAL_SERVER_ERROR);
    }
    jsonwebtoken_1.default.verify(token, secret, (err, user) => {
        if (err) {
            console.error(err);
            return res.sendStatus(http_1.HTTP_CLIENT_ERROR.FORBIDDEN);
        }
        req.user = user;
        next();
    });
};
exports.authenticateToken = authenticateToken;
