"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const express_1 = require("express");
const google_1 = __importDefault(require("../passport/google"));
const loginUser_1 = require("../controllers/users/loginUser");
const googleCallback_1 = require("../controllers/auth/googleCallback");
const magic_1 = require("../controllers/auth/magic");
const magicToken_1 = require("../controllers/auth/magicToken");
const requestPasswordReset_1 = require("../controllers/auth/requestPasswordReset");
const resetPassword_1 = require("../controllers/auth/resetPassword");
const router = (0, express_1.Router)();
router
    .post("/", loginUser_1.loginUser) // Normal Username and password login
    .get("/google", google_1.default.authenticate("google", { scope: ["email", "profile"] }))
    .get("/google/callback", google_1.default.authenticate("google", { failureRedirect: "/", session: false }), googleCallback_1.googleCallback)
    .get("/magic-login/:token", magicToken_1.magicToken)
    .post("/magic-login", magic_1.magic)
    .post("/request-password-reset", requestPasswordReset_1.requestPasswordReset)
    .post("/reset-password", resetPassword_1.resetPassword);
exports.default = router;
