"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.validateHash = exports.createHash = void 0;
const crypt_1 = require("../constants/crypt");
const bcrypt = require("bcrypt");
async function createHash(input) {
    return await bcrypt.hash(input, crypt_1.SALT_ROUNDS);
}
exports.createHash = createHash;
async function validateHash(input, hash) {
    try {
        return await bcrypt.compare(input, hash);
    }
    catch {
        return false;
    }
}
exports.validateHash = validateHash;
