"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.logger = void 0;
const winston_1 = __importDefault(require("winston"));
const logger = winston_1.default.createLogger({
    level: "info", // Minimum level to log
    format: winston_1.default.format.json(), // Output format
    transports: [
        // Write all logs with level `info` and below to `combined.log`
        new winston_1.default.transports.File({ filename: "combined.log" }),
        // Write all logs with level `error` and below to `error.log`
        new winston_1.default.transports.File({ filename: "error.log", level: "error" }),
    ],
});
exports.logger = logger;
// If we're not in production, log to the `console` as well
if (process.env.NODE_ENV !== "production") {
    logger.add(new winston_1.default.transports.Console({
        format: winston_1.default.format.simple(),
    }));
}
